> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1images



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/images
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/images:
    get:
      tags:
        - images
      operationId: list_images
      parameters:
        - name: limit
          in: path
          description: 'Maximum number of images to return (default: 50, max: 100)'
          required: true
          schema:
            type:
              - integer
              - 'null'
            format: int64
        - name: offset
          in: path
          description: 'Number of images to skip (default: 0)'
          required: true
          schema:
            type:
              - integer
              - 'null'
            format: int64
      responses:
        '200':
          description: List of base images
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBaseImagesResponse'
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    ListBaseImagesResponse:
      type: object
      required:
        - images
        - total
        - limit
        - offset
      properties:
        images:
          type: array
          items:
            $ref: '#/components/schemas/BaseImageInfo'
        limit:
          type: integer
          format: int64
        offset:
          type: integer
          format: int64
        total:
          type: integer
          format: int64
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
    BaseImageInfo:
      type: object
      required:
        - base_image_id
        - image_name
        - owner_id
        - is_public
        - source_type
        - size_mib
        - created_at
      properties:
        base_image_id:
          type: string
        created_at:
          type: string
        description:
          type:
            - string
            - 'null'
        image_name:
          type: string
        is_public:
          type: boolean
        owner_id:
          type: string
        size_mib:
          type: integer
          format: int32
        source_type:
          type: string
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````